View Issue Details

IDProjectCategoryView StatusLast Update
0000790SOGoWeb Address Bookpublic2011-07-14 10:29
Reporterwimmer Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version1.3.8 
Summary0000790: Contact synchronization WebGUI -> Thunderbird
Description

I found problem by synchronization of Contact between SOGo WebGUI and Thunderbird.
I'm using TH2 + Lightning-0.11 + Connector-0.101 + Integrator-0.101.

How to reproduce it:

  • open both WebGUI and TH2
  • create new contact in WebGUI, Sync in TH2 and it is in TH2
  • change something in that contact in WebGUI, Sync in TH2 and there is no change in TH2. Close TH2 and start it again - then contact is changed in TH2.

I didn't find this problem by Contacts synchronization in direction from TH2 to WebGUI.
I'm not sure if it is problem of WebAddressBook or TH2+L+C+I.

TagsNo tags attached.

Activities

ludovic

ludovic

2010-11-12 14:13

administrator   ~0001789

Is this bug still relevant?

wimmer

wimmer

2010-11-15 07:42

reporter   ~0001804

yes, this bug is still relevant. It looks problem is in redrawing of the Thunderbird Address Book window. I found the same behavior in TH2 and TH3.

How to reproduce it:

  • open Address Books in both WebGUI and TH
  • create new contact in WebGUI, Sync in TH and it is in TH
  • change e-mail address in that contact in WebGUI, Sync in TH and there is no visible change in TH. But when you switch to LDAP contacts and then back to Personal contacts, you will see changed contact there.
    So it looks reloading of the Address Book window after the Synchronization could solve this problem.
ludovic

ludovic

2011-07-14 10:29

administrator   ~0002711

Likely fixed with: http://mtn.inverse.ca/revision/diff/3f20a85d13ccd9287c2d83d025e20a9dc73a3f02/with/07d4e2dd2f55ba5735637b9ccd7e85474c204bca

Issue History

Date Modified Username Field Change
2010-08-31 08:54 wimmer New Issue
2010-11-12 14:13 ludovic Note Added: 0001789
2010-11-15 07:42 wimmer Note Added: 0001804
2011-07-14 10:29 ludovic Note Added: 0002711
2011-07-14 10:29 ludovic Status new => closed
2011-07-14 10:29 ludovic Resolution open => fixed
2011-07-14 10:29 ludovic Fixed in Version => 1.3.8